Mailinglist Archive: opensuse-updates (123 mails)

< Previous Next >
openSUSE-SU-2017:2730-1: moderate: Security update for wireshark
openSUSE Security Update: Security update for wireshark
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2730-1
Rating: moderate
References: #1062645
Cross-References: CVE-2017-15191 CVE-2017-15192 CVE-2017-15193

Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for wireshark to version 2.2.10 fixes multiple minor security
issues.

These vulnerabilities that could be used to trigger dissector crashes or
infinite loops by making Wireshark read specially crafted packages from
the network or a capture file:

* CVE-2017-15192: BT ATT dissector crash
* CVE-2017-15193: MBIM dissector crash
* CVE-2017-15191: DMP dissector crash


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1158=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1158=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (x86_64):

wireshark-2.2.10-24.1
wireshark-debuginfo-2.2.10-24.1
wireshark-debugsource-2.2.10-24.1
wireshark-devel-2.2.10-24.1
wireshark-ui-gtk-2.2.10-24.1
wireshark-ui-gtk-debuginfo-2.2.10-24.1
wireshark-ui-qt-2.2.10-24.1
wireshark-ui-qt-debuginfo-2.2.10-24.1

- openSUSE Leap 42.2 (x86_64):

wireshark-2.2.10-14.16.1
wireshark-debuginfo-2.2.10-14.16.1
wireshark-debugsource-2.2.10-14.16.1
wireshark-devel-2.2.10-14.16.1
wireshark-ui-gtk-2.2.10-14.16.1
wireshark-ui-gtk-debuginfo-2.2.10-14.16.1
wireshark-ui-qt-2.2.10-14.16.1
wireshark-ui-qt-debuginfo-2.2.10-14.16.1


References:

https://www.suse.com/security/cve/CVE-2017-15191.html
https://www.suse.com/security/cve/CVE-2017-15192.html
https://www.suse.com/security/cve/CVE-2017-15193.html
https://bugzilla.suse.com/1062645


< Previous Next >
This Thread
  • No further messages